################################
# STEROWNIK ROBOTA JEZDZACEGO  #
#  (c) SEBASTIANCHINOWSKI.PL   #
################################
import RPi.GPIO as GPIO
import sys, tty, termios, time

AIN1 = 25
AIN2 = 24

BIN1 = 6
BIN2 = 5

GPIO.cleanup()
GPIO.setmode(GPIO.BCM)

GPIO.setup(AIN1, GPIO.OUT) 
GPIO.setup(AIN2, GPIO.OUT) 
GPIO.setup(BIN1, GPIO.OUT) 
GPIO.setup(BIN2, GPIO.OUT) 

 
def getch():
	fd = sys.stdin.fileno()
	old_settings = termios.tcgetattr(fd)
	try:
		tty.setraw(sys.stdin.fileno())
		ch = sys.stdin.read(1)
	finally:
		termios.tcsetattr(fd, termios.TCSADRAIN, old_settings)
	return ch

p1 = GPIO.PWM(AIN1, 100)
p1b = GPIO.PWM(AIN2, 100)
p2 = GPIO.PWM(BIN1, 100)
p2b = GPIO.PWM(BIN2, 100)

print("######################################################")
print("#                                                    #")
print("#            / \                                     #")
print("#           | W |                                    #")
print("#                                                    #")
print("#    | A |  | S |  | D |                             #")
print("#                                                    #")
print("#           | X |                                    #")
print("#            \ /             |Z| - system off        #")
print("#                                                    #")
print("######################################################")

 
while True:

	char = getch()

	if(char == "w"):
		p1.start(50);
		p1b.stop();
		p2.start(50);
		p2b.stop();

	if(char == "s"):
		p1.stop();
		p1b.stop();
		p2.stop();
		p2b.stop();
	 
	if(char == "a"):
		p1.start(25);
		p1b.stop();
		p2b.stop();
		p2.stop();

	if(char == "d"):
		p1.stop();
		p1b.stop();
		p2b.stop();
		p2.start(25);

	if(char == "x"):
		p1.stop();
		p1b.start(40);
		p2b.start(40);
		p2.stop();

	if(char == "z"):		
		print("Sterownik zatrzymany!")
		break


p1.stop();
p1b.stop();
p2b.stop();
p2.stop();
GPIO.cleanup()
